# OOBData class

A data class representing the jabber:x:oob tag.

Implemented types
  - StanzaHandlerExtension

## Constructors

OOBData (String? url, String? desc)
  const

## Properties

desc → String?
  The description of the url.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
url → String?
  The communicated URL of the OOB data
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXML () → XMLNode

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited